<h1>Introduction</h1>
My name is DrPine.  I am uploading some mods that are only over at NexusMods so that everyone can use them in the Thunderstore Mod Manager with ease.  Below is the description from Nexus Mods.

Developed by aedenthorn

## Description

Adds a simple configurable clock widget to the screen showing the in-game time of day or a fuzzy representation like "Late Afternoon" and optionally the current day.

This mod adds a simple but highly configurable time and day display to the game.

## Features

You can set:

- the clock's position on the screen either in pixels or percent (it defaults to top-middle).
- the font name to use (see below)
- the font size of the clock text
- the color and transparency of the clock text
- a hotkey to toggle the clock display and an optional modifier key (e.g. "left shift")
- the time format (either something like HH:mm:ss or set to **fuzzy** to use specified time strings)
- the actual displayed string to surround the the time with (including simple html tags)

You can also now drag the clock around the screen with the cursor, yay!

You can also customize the fuzzy strings used to divide the day up into custom intervals by editing ClockFuzzyStrings in the config file.

## Clock Format

Clock format follows this syntax:

https://docs.microsoft.com/en-us/dotnet/standard/base-types/custom-date-and-time-format-strings

## Clock String

The clock supports rich text and uses string.Format() to display the clock string, which you can set in the config file.The string can include up to three variables:

{0} is replaced by the actual time string,
{1} is replaced by the fuzzy string
{2} is replaced by the current day

So, you could put something like:

**<b>{0}</b> <color=blue>{1}</color> <i>{2}</i>**

to show all three.

## Fonts

By default, the mod now uses the game's UI font, **AveriaSerifLibre-Bold**. If you want to use a different font, here's a list of fonts currently available in the game:

Arial

AveriaSerifLibre-Light
AveriaSerifLibre-Regular
AveriaSerifLibre-Bold
AveriaSerifLibre-Italic
AveriaSerifLibre-BoldItalic

AveriaSansLibre-Light
AveriaSansLibre-Regular
AveriaSansLibre-Bold
AveriaSansLibre-Italic
AveriaSansLibre-LightItalic
AveriaSansLibre-BoldItalic

OpenSans-Light
OpenSans-Regular
OpenSans-LightItalic
OpenSans-Italic
OpenSans-BoldItalic
OpenSans-SemiBold
OpenSans-Bold
OpenSans-ExtraBold
OpenSans-SemiBoldItalic
OpenSans-ExtraBoldItalic

Norse
Norsebold

prstart
prstartk
rune

Just change **ClockFontName** to one of these.

If you want to use a font installed on your OS (this is untested), set **ClockUseOSFont** to true and provide the name of your font file, e.g. **Arial.ttf**. Let me know if it doesn't work. To dump a list of OS fonts to the debug log, type **clockmod osfonts** into the console (F5).

## Config

A config file **BepInEx/config/aedenthorn.ClockMod.cfg** is created after running the game once with this mod).

You can adjust the config values by editing this file using a text editor or in-game using the [Config Manager](https://valheim.thunderstore.io/package/Pineapple/EnhancedBepInExConfigurationManager/).

To reload the config from the config file, type **clockmod reset** into the game's console (F5).

## Installation

- Automated

  - Suggested to use the [R2ModMan](https://thunderstore.io/package/ebkr/r2modman/) Mod Manager

- Manual

  - Copy the ClockMod.dll to your /Valheim/BepInEx/plugins directory

If you want to complain or ask for help or help me test my mods, you can visit [my Discord server](https://discord.gg/bs6zHuj).

[Click here for a list of all my mods for Valheim.](https://www.nexusmods.com/valheim/articles/104)

## Source Code

[https://github.com/aedenthorn/ValheimMods](https://github.com/aedenthorn/ValheimMods)

## Change Log

v1.3.0

- fix for update

v1.2.0

- Fix for 0.217.14

v1.1.0

- Fix for new version

v1.0.0

- Added keep teleportable items

v0.11.1

- Fix for keeping hotkeybar items

v0.11.0

- Bug Fixes

v0.10.0

- Compatibility Fix

v0.9.1

- Fix for skill exp loss

v0.9.0

- Added named item lists

v0.8.1

- Removed serversync

v0.8.0

- Fix for new update

v0.7.0

- Added variable skill reduction
- Added custom spawn location

v0.6.2

- Fixed exception

v0.6.1

- Possible fix for duplicate items

v0.6.0

- Added option to destroy all items on death

v0.5.2

- Fix for collection changed

v0.5.1

- Fixed no skill protection option

v0.5.0

- Added option to keep Quick Slot items

v0.4.0

- Added skill protection toggle

v0.3.0

- Added compatibility with Equipment and Quick Slots

v0.2.0

- Added keep hotbar items option
